using System;

namespace Casino
{
    class Program
    {
        static void Main(string[] args)
        {
            double odds = .75;
            Random random = new Random();

            Guy player = new Guy() { Cash = 100, Name = "Gracz" };

            Console.WriteLine("Witamy w kasynie. Prawdopodobieństwo przegranej: " + odds);
            while (player.Cash > 0)
            {
                player.WriteMyInfo();
                Console.Write("Stawiana kwota: ");
                string howMuch = Console.ReadLine();
                if (int.TryParse(howMuch, out int amount))
                {
                    int pot = player.GiveCash(amount) * 2;
                    if (pot > 0)
                    {
                        if (random.NextDouble() > odds)
                        {
                            int winnings = pot;
                            Console.WriteLine("Wygrałeś  " + winnings + " zł.");
                            player.ReceiveCash(winnings);
                        }
                        else
                        {
                            Console.WriteLine("Niestety, przegrałeś.");
                        }
                    }
                }
                else
                {
                    Console.WriteLine("Wpisz poprawną liczbę.");
                }

            }
            Console.WriteLine("Kasyno zawsze wygrywa.");
        }

    }
}
